You're viewing **Apigee Edge** documentation.  
[Go to the
**Apigee X** documentation](http://cloud.google.com/apigee/docs). info

This page describes how to check the status and settings of the Apigee Edge API hub connector integration in your Apigee Edge organization after it is enabled.

## Checking API hub connector integration settings

To retrieve the API hub connector integration settings for an organization, make a GET request to send the following request:

```bash
curl -X GET https://api.enterprise.apigee.com/v1/organizations/ORG_NAME/uapim/settings -H "Authorization: Bearer OAUTH_TOKEN"
```

Where:

- `ORG_NAME` is the name of your Apigee Edge organization.
- `OAUTH_TOKEN`is the OAuth token used to authenticate the request. For more information on creating an OAuth token, see [Get the tokens](https://docs.apigee.com/api-platform/system-administration/using-oauth2.md.txt#get-the-tokens).

A successful response will look similar to the following:

```bash
  {
    "enabled": true,
    "gatewayId": "my-gateway-id"
  }
```

`"enabled": true` confirms that the API hub connector integration is activated for the organization.

`"gatewayId"` displays the Instance Resource Name to which this Apigee Edge organization is connected.

## Checking consolidated status

For a **consolidated status** that includes detailed upload progress, make a `GET` request to the Edge management API:

```
curl -X GET https://api.enterprise.apigee.com/v1/organizations/ORG_NAME/uapim/status
  -H "Authorization: Bearer OAUTH_TOKEN
```

Where:

- `ORG_NAME` is the name of your Apigee Edge organization.

<br />

A successful consolidated response will look similar to the following, showing upload progress for proxies and environments. The example below shows a `Queued` phase:

```
{
  "phase": "Preparing",
  "lastUpdated": "2025-09-15T02:23:50.706Z",
  "components": {
    "proxy": {
      "lastUpdated": "2025-09-15T02:23:50.706Z",
      "progress": {
        "totalItems": 10,
        "pendingItems": 1,
        "completedItems": 9,
        "failedItems": 0
      }
    },
    "environment": {
      "lastUpdated": "2025-09-15T02:23:50.706Z",
      "progress": {
        "totalItems": 5,
        "pendingItems": 0,
        "completedItems": 4,
        "failedItems": 1
      }
    }
  }
}
```

### Consolidated status fields

| Field | Description |
|---|---|
| `phase` | The current processing phase for the organization. Possible values are: - **`Queued`**: The organization was recently added and is queued for initial processing. - **`Preparing`**: The organization is in a cold transfer state where all existing proxies are being uploaded to the API hub. This state occurs when the organization is recently added and being prepared. - **`Processing`**: The organization is in a continuous update state where changes to proxies and environments are continuously being uploaded to the API Hub. |
| `lastUpdated` | The timestamp of the last event that was processed for this organization. |
| `components` | A map providing detailed information about the proxies and environments that were processed. The map can contain the following keys: - `proxy`: Provides detailed counts of API proxies in the Edge system that were processed and uploaded to API hub. - `environment`: Provides detailed counts of environments in the Edge system that were processed and uploaded to API hub. |
| `progress` | The values within the `proxy` or `environment` sections are: - `totalItems`: The total number of items. - `pendingItems`: The number of items pending to be processed. - `completedItems`: The number of items that have been completed successfully. - `failedItems`: The number of items that failed during uploads. |

## Checking detailed upload status

You can check the detailed status of an individual API proxy or environment, or a group of items filtered by state, by using the `/details` endpoint and query parameters.

### Status for a specific item

To check the detailed status of a specific item, use the `filter` and `name` query parameters. For an API proxy named `myproxy` in organization `acme`, call the status API as follows:

```bash
curl -X GET https://api.enterprise.apigee.com/v1/organizations/acme/uapim/status/details?filter=proxy&name=myproxy \
  -H "Authorization: Bearer OAUTH_TOKEN"
```

For an environment named `myenv` in organization `acme`, call the status API as follows:

```bash
GET http://enterprise.apigee.com/organizations/acme/uapim/status/details?filter=environment&name=myenv
```

Calling the above API will result in a JSON output similar to the following for a proxy which was uploaded recently:

```bash
{
  "name": "myProxy",
  "status": "Pending Upload",
  "lastSuccessfulUploadTime": "2025-09-15T02:23:50.706Z",
}
```

### Detailed status with revision information

It is possible to get information about the individual proxy revision for a given proxy by providing an additional query parameter `showRevisions=true`. The output generated here will provide details about each revision that has been uploaded for a given proxy.

```bash
GET http://enterprise.apigee.com/organizations/acme/uapim/status/details?filter=proxy&name=myproxy&showRevisions=true
```

Calling the above API with the `showrevisions` parameter will result in a JSON output similar to the following:

```bash
{
  "name": "myProxy",
  "status": "Pending Upload",
  "lastSuccessfulUploadTime": "2025-09-15T02:23:50.706Z",
  "revisions": [
    {
      "name": "1",
      "status": "Up to date",
      "lastSuccessfulUploadTime": "2025-09-15T02:23:50.706Z",
    },  
    {
      "name": "2",
      "status": "Pending upload",
      "lastSuccessfulUploadTime": "2025-09-15T02:23:55.000Z",
    }  
  ]
}
```

### Group upload status

You can get upload statuses for a group of items by using group filters with the `state` query parameter.

For status of all API proxies that are in a **failed** state in organization `acme`, call the status API as follows:

```bash
GET http://enterprise.apigee.com/organizations/acme/uapim/status/details?filter=proxy&state=failed
```

Similarly, for getting a detailed list of all environments that are **pending** an upload in organization `acme`, call the status API as follows:

```bash
GET http://enterprise.apigee.com/organizations/acme/uapim/status/details?filter=environment&state=pending
```

The result of calling this API will be a JSON collection of individual status items that match the filter. Example:

```bash
[
  {
    "name": "myProxy",
    "status": "last upload failed",
    "lastSuccessfulUploadTime": "2025-09-12T02:23:50.706Z",
    "lastFailedUploadTime": "2025-09-13T02:23:50.706Z",
    "lastUploadError": "Errors connecting to API Hub"
  },
  {
    "name": "secondProxy",
    "status": "last upload failed",
    "lastSuccessfulUploadTime": "2025-09-12T02:23:51.706Z",
    "lastFailedUploadTime": "2025-09-13T02:23:51.706Z",
    "lastUploadError": "Errors connecting to API Hub"
  }
]
```

### Query parameters for detailed status

The API provides three query parameters. The values are case sensitive.

| Query Param | Possible values | Description |
|---|---|---|
| `filter` | `proxy`, `environment` | This query parameter indicates that the results need to be filtered by a proxy or an environment. |
| `state` | `failed`, `pending`, `all` | This query parameter indicates that the results need to be filtered by state in addition to the `filter`. |
| `name` | The name of specific item | This query parameter indicates that the results need to be filtered by name in addition to the `filter`. |
| `showrevisions` | `true`, `false` | This query parameter, when provided, will generate revision status in the output (only valid when `filter=proxy`). |

### Parameter combinations for detailed status

The table below explains the possible parameter combinations that can be passed to the REST API in order to get detailed status. `NA` indicates the parameter will be ignored. `NULL` indicates the parameter is not provided.

| filter | state | name | Results |
|---|---|---|---|
| `proxy` | `all` | `NULL` | Report status details for all the proxies. |
| `proxy` | `failed` | `NULL` | Report status details for all the proxies that failed upload. |
| `proxy` | `pending` | `NULL` | Report status details for all the proxies that are pending upload or reupload. |
| `proxy` | `NULL` | `myproxy` | Report status details for a proxy named `myproxy`. |
| `proxy` | `NON-NULL` | `NON-NULL` | Reports an error. |
| `environment` | `all` | `NULL` | Report status details for all the environments. |
| `environment` | `failed` | `NULL` | Report status details for all the environments that failed upload. |
| `environment` | `pending` | `NULL` | Report status details for all the environments that are pending upload or reupload. |
| `environment` | `NULL` | `myenv` | Report status details for an environment named `myenv`. |
| `environment` | `NON-NULL` | `NON-NULL` | Reports an error. |

> [!NOTE]
> **Note:** When the query parameters are not provided in a meaningful way (for example, `filter` was provided as `proxy` but no `state` or `name` was provided, or a wrong filter was provided), the API will generate a [Consolidated Status](https://docs.apigee.com/api-platform/integrations/apigee-edge-uapim-status-settings.md.txt#checking-consolidated-status).